function FileData_Pairs(x)
{
x.t("tibemssession","object");
x.t("tibemsmsgproducer_getpriority","tibemsmsgproducer");
x.t("tibemsmsgproducer_getpriority","function");
x.t("tibemsmsgproducer_getpriority","priority");
x.t("tibemsmsgproducer_getpriority","using");
x.t("synchronized","among");
x.t("modes","corresponding");
x.t("parameter","applied");
x.t("parameter","description");
x.t("parameter","message");
x.t("parameter","setting");
x.t("suggests","clients");
x.t("method","receive");
x.t("defines","ten");
x.t("defines","producer");
x.t("tibemsdestination","destination");
x.t("priorities","gradations");
x.t("globally","producers");
x.t("applied","globally");
x.t("applied","producers");
x.t("within","sessions");
x.t("every","message");
x.t("create","message");
x.t("description","page");
x.t("description","msgproducer");
x.t("delivery","modes");
x.t("delivery","mode");
x.t("sending","every");
x.t("sending","non_persistent");
x.t("sending","calls");
x.t("sending","client\u2019s");
x.t("sending","message");
x.t("tibemsmsgproducer_sendex","tibemsmsgproducer");
x.t("tibemsmsgproducer_sendex","tibemsmsgproducer_sendtodestination");
x.t("tibemsmsgproducer_sendex","using");
x.t("persistent","reliable_delivery");
x.t("persistent","storage");
x.t("disabling","timestamps");
x.t("disabling","ids");
x.t("normal","priority");
x.t("once","however");
x.t("required","applications");
x.t("directs","message");
x.t("lowest","priority");
x.t("apply","cases");
x.t("non_persistent","delivery");
x.t("non_persistent","message");
x.t("creates","tibemssession_createproducer");
x.t("current","time");
x.t("topic","send");
x.t("execute","mode");
x.t("tibemsmsgproducer_close","destroy");
x.t("tibemsmsgproducer_close","tibemsmsgproducer");
x.t("tibemsmsgproducer_close","function");
x.t("tibemsmsgproducer_close","using");
x.t("end-call","msgproducer");
x.t("end-call","call");
x.t("program","explicitly");
x.t("program","closing");
x.t("uses","value");
x.t("uses","non-zero");
x.t("mode","defines");
x.t("mode","applied");
x.t("mode","sending");
x.t("mode","once");
x.t("mode","property");
x.t("mode","cobol");
x.t("mode","tibemsnpcheckmode");
x.t("mode","returning");
x.t("mode","argument");
x.t("mode","messages");
x.t("mode","npsend_check_default");
x.t("mode","function");
x.t("mode","instructs");
x.t("mode","may");
x.t("mode","tibemsmsgproducer_setnpsendcheckmode");
x.t("mode","send");
x.t("mode","location");
x.t("mode","priority");
x.t("mode","using");
x.t("mode","server");
x.t("sender","cannot");
x.t("timer","begins");
x.t("supply","parameter");
x.t("type","tibemsdeliverymode");
x.t("type","purpose");
x.t("close","producer");
x.t("close","producers");
x.t("change","mode");
x.t("change","tibemsmsgproducer_getdisablemessageid");
x.t("response","send");
x.t("response","server");
x.t("explicitly","close");
x.t("calls","override");
x.t("calls","send");
x.t("calls","producer\u2019s");
x.t("timestamps","property");
x.t("timestamps","reduce");
x.t("time","(gmt)");
x.t("time","message");
x.t("tibemsmsgproducer_setdisablemessageid","tibemsmsgproducer");
x.t("tibemsmsgproducer_setdisablemessageid","function");
x.t("tibemsmsgproducer_setdisablemessageid","disable");
x.t("tibemsmsgproducer_setdisablemessageid","using");
x.t("whenever","application");
x.t("however","required");
x.t("however","checking");
x.t("reclaim","resources");
x.t("property","true");
x.t("property","define");
x.t("property","producer");
x.t("property","value");
x.t("property","location");
x.t("checks","result");
x.t("tibems-status","end-call");
x.t("deliverymode","property");
x.t("deliverymode","cobol");
x.t("deliverymode","returning");
x.t("deliverymode","present");
x.t("deliverymode","function");
x.t("deliverymode","tibems_int");
x.t("deliverymode","value");
x.t("default","delivery");
x.t("default","destination");
x.t("default","value");
x.t("default","send");
x.t("default","time-to-live");
x.t("default","priority");
x.t("require","timestamps");
x.t("require","message");
x.t("queue","topic");
x.t("details","remarks");
x.t("jms","specification");
x.t("among","host");
x.t("tibems_status","tibemsmsgproducer_getpriority");
x.t("tibems_status","tibemsmsgproducer_sendex");
x.t("tibems_status","tibemsmsgproducer_close");
x.t("tibems_status","tibemsmsgproducer_setdisablemessageid");
x.t("tibems_status","tibemsmsgproducer_gettimetolive");
x.t("tibems_status","tibemsmsgproducer_send");
x.t("tibems_status","tibemsmsgproducer_settimetolive");
x.t("tibems_status","tibemsmsgproducer_getdisablemessageid");
x.t("tibems_status","tibemsmsgproducer_setdeliverymode");
x.t("tibems_status","tibemsmsgproducer_sendtodestination");
x.t("tibems_status","tibemsmsgproducer_setpriority");
x.t("tibems_status","tibemsmsgproducer_setnpsendcheckmode");
x.t("tibems_status","tibemsmsgproducer_sendtodestinationex");
x.t("tibems_status","tibemsmsgproducer_getnpsendcheckmode");
x.t("tibems_status","tibemsmsgproducer_getdeliverymode");
x.t("tibems_status","tibemsmsgproducer_setdisablemessagetimestamp");
x.t("tibems_status","tibemsmsgproducer_getdisablemessagetimestamp");
x.t("tibems_status","tibemsmsgproducer_getdestination");
x.t("cobol","call");
x.t("reliable_delivery","delivery");
x.t("tibemsmsgproducer_gettimetolive","tibemsmsgproducer");
x.t("tibemsmsgproducer_gettimetolive","function");
x.t("tibemsmsgproducer_gettimetolive","time-to-live");
x.t("tibemsmsgproducer_gettimetolive","using");
x.t("determines","expiration");
x.t("180","tibemsmsgproducer_getnpsendcheckmode");
x.t("tibemsnpcheckmode","mode");
x.t("tibemsnpcheckmode","applies");
x.t("tibemsnpcheckmode","page");
x.t("sum","time-to-live");
x.t("ems","server");
x.t("181","tibemsmsgproducer_getpriority");
x.t("181","tibemsmsgproducer_setpriority");
x.t("check","mode");
x.t("check","result");
x.t("applies","messages");
x.t("applies","even");
x.t("normally","applications");
x.t("182","tibemsmsgproducer_gettimetolive");
x.t("tibemsmsg","message");
x.t("183","tibemsmsgproducer_send");
x.t("tibemsmsgproducer_send","tibemsmsgproducer_sendex");
x.t("tibemsmsgproducer_send","tibemsmsgproducer");
x.t("tibemsmsgproducer_send","function");
x.t("tibemsmsgproducer_send","using");
x.t("reclaims","storage");
x.t("true","tibemsmsgproducer_setnpsendcheckmode");
x.t("true","tibemsmsgproducer_getnpsendcheckmode");
x.t("true","tibemsmsgproducer_setdisablemessagetimestamp");
x.t("true","tibemsmsgproducer_getdisablemessagetimestamp");
x.t("via","ems");
x.t("processed","server");
x.t("184","tibemsmsgproducer_setdeliverymode");
x.t("tibemsdeliverymode","deliverymode");
x.t("tibemsdeliverymode","page");
x.t("creating","sender");
x.t("clients","create");
x.t("clients","message");
x.t("clients","consider");
x.t("returning","tibems-status");
x.t("timetolive","property");
x.t("timetolive","cobol");
x.t("timetolive","tibems_status");
x.t("timetolive","returning");
x.t("timetolive","present");
x.t("timetolive","function");
x.t("enumerated","value");
x.t("performance","producer");
x.t("argument","enumerated");
x.t("non-transactional","session");
x.t("parameters","parameter");
x.t("parameters","affect");
x.t("187","tibemsmsgproducer_setdisablemessageid");
x.t("subsequently","change");
x.t("zero","lowest");
x.t("zero","expiration");
x.t("zero","indicating");
x.t("rule","applies");
x.t("session","apply");
x.t("session","transactional");
x.t("checking","result");
x.t("sends","clients");
x.t("sends","message");
x.t("sends","individual");
x.t("188","tibemsmsgproducer_setdisablemessagetimestamp");
x.t("destroy","producer");
x.t("destination","queue");
x.t("destination","cobol");
x.t("destination","tibemsmsg");
x.t("destination","creating");
x.t("destination","returning");
x.t("destination","programs");
x.t("destination","present");
x.t("destination","messages");
x.t("destination","function");
x.t("destination","producer");
x.t("destination","message");
x.t("destination","usage");
x.t("destination","value");
x.t("destination","location");
x.t("189","tibemsmsgproducer_setnpsendcheckmode");
x.t("tibemsmsgproducer","type");
x.t("tibemsmsgproducer","tibemsmsgproducer");
x.t("tibemsmsgproducer","chapter");
x.t("tibemsmsgproducer","msgproducer");
x.t("300","tibemsmsgproducer_close");
x.t("300","tibemsmsgproducer_getdeliverymode");
x.t("programs","property");
x.t("programs","destination");
x.t("ten","levels");
x.t("expiration","time");
x.t("expiration","whenever");
x.t("expiration","sum");
x.t("expiration","zero");
x.t("expiration","time-to-live");
x.t("tibemsmsgproducer_settimetolive","tibemsmsgproducer");
x.t("tibemsmsgproducer_settimetolive","function");
x.t("tibemsmsgproducer_settimetolive","time-to-live");
x.t("tibemsmsgproducer_settimetolive","using");
x.t("store","several");
x.t("functions","tibemssession");
x.t("effective","mode");
x.t("small","fraction");
x.t("present","call");
x.t("client\u2019s","current");
x.t("know","problem");
x.t("messages","sends");
x.t("messages","producer");
x.t("messages","message");
x.t("messages","synchronize");
x.t("messages","consumers");
x.t("messages","sent");
x.t("tibemsmsgproducer_getdisablemessageid","tibemsmsgproducer");
x.t("tibemsmsgproducer_getdisablemessageid","function");
x.t("tibemsmsgproducer_getdisablemessageid","disable");
x.t("tibemsmsgproducer_getdisablemessageid","using");
x.t("affects","order");
x.t("first","jms");
x.t("unconditionally","overrides");
x.t("throw","appropriate");
x.t("npsend_check_default","effective");
x.t("npsend_check_default","unconditionally");
x.t("function","description");
x.t("function","stores");
x.t("function","returned");
x.t("function","purpose");
x.t("function","returns");
x.t("indicating","message");
x.t("chapter","producer");
x.t("tibemsmsgproducer_setdeliverymode","delivery");
x.t("tibemsmsgproducer_setdeliverymode","tibemsmsgproducer");
x.t("tibemsmsgproducer_setdeliverymode","function");
x.t("tibemsmsgproducer_setdeliverymode","using");
x.t("tibemssession_createproducer","page");
x.t("instructs","server");
x.t("define","default");
x.t("cannot","subsequently");
x.t("receive","messages");
x.t("receive","server's");
x.t("may","execute");
x.t("may","choose");
x.t("stores","mode");
x.t("stores","property");
x.t("stores","destination");
x.t("reduce","performance");
x.t("reduce","overhead");
x.t("gradations","normal");
x.t("gradations","expedited");
x.t("begins","send");
x.t("tibemsmsgproducer_sendtodestination","tibemsmsgproducer");
x.t("tibemsmsgproducer_sendtodestination","tibemsmsgproducer_sendtodestinationex");
x.t("tibemsmsgproducer_sendtodestination","using");
x.t("returned","value");
x.t("(gmt)","rule");
x.t("purpose","delivery");
x.t("purpose","mode");
x.t("purpose","destroy");
x.t("purpose","destination");
x.t("purpose","producer");
x.t("purpose","send");
x.t("purpose","time-to-live");
x.t("purpose","disable");
x.t("purpose","priority");
x.t("tibems_int","deliverymode");
x.t("tibems_int","priority");
x.t("client","program");
x.t("reference","mode");
x.t("reference","deliverymode");
x.t("reference","timetolive");
x.t("reference","destination");
x.t("reference","disable");
x.t("reference","priority");
x.t("producer","program");
x.t("producer","mode");
x.t("producer","response");
x.t("producer","checks");
x.t("producer","deliverymode");
x.t("producer","check");
x.t("producer","timetolive");
x.t("producer","sends");
x.t("producer","destination");
x.t("producer","tibemsmsgproducer");
x.t("producer","remarks");
x.t("producer","tibemsmsgproducer_getnpsendcheckmode");
x.t("producer","disable");
x.t("producer","priority");
x.t("producer","disablemessagetimestamp");
x.t("producer","object");
x.t("producer","specify");
x.t("override","default");
x.t("ids","property");
x.t("ids","reduce");
x.t("expires","programs");
x.t("expires","send");
x.t("message","delivery");
x.t("message","property");
x.t("message","tibems_status");
x.t("message","181");
x.t("message","processed");
x.t("message","184");
x.t("message","tibemsdeliverymode");
x.t("message","returning");
x.t("message","destination");
x.t("message","expiration");
x.t("message","know");
x.t("message","reduce");
x.t("message","tibems_int");
x.t("message","producer");
x.t("message","ids");
x.t("message","expires");
x.t("message","value");
x.t("message","declaration");
x.t("message","send");
x.t("message","time-to-live");
x.t("message","destinations");
x.t("message","190");
x.t("message","priority");
x.t("message","timestamp");
x.t("message","producer\u2019s");
x.t("message","producers");
x.t("message","sent");
x.t("message","object");
x.t("affect","messages");
x.t("tibco","software");
x.t("extern","tibems_status");
x.t("ensure","clocks");
x.t("closing","producer");
x.t("null","tibemsnpcheckmode");
x.t("consider","gradations");
x.t("sessions","transaction");
x.t("occurred","however");
x.t("occurred","message");
x.t("tibemsmsgproducer_setpriority","tibemsmsgproducer");
x.t("tibemsmsgproducer_setpriority","function");
x.t("tibemsmsgproducer_setpriority","priority");
x.t("tibemsmsgproducer_setpriority","using");
x.t("synchronize","clocks");
x.t("tibemsmsgproducer_setnpsendcheckmode","tibemsmsgproducer");
x.t("tibemsmsgproducer_setnpsendcheckmode","function");
x.t("tibemsmsgproducer_setnpsendcheckmode","producer");
x.t("tibemsmsgproducer_setnpsendcheckmode","page");
x.t("tibemsmsgproducer_setnpsendcheckmode","using");
x.t("value","mode");
x.t("value","whenever");
x.t("value","deliverymode");
x.t("value","tibemsmsgproducer_gettimetolive");
x.t("value","tibemsdeliverymode");
x.t("value","timetolive");
x.t("value","zero");
x.t("value","destination");
x.t("value","programs");
x.t("value","tibemsmsgproducer_settimetolive");
x.t("value","npsend_check_default");
x.t("value","message");
x.t("value","remarks");
x.t("value","msgproducer");
x.t("value","values");
x.t("value","disable");
x.t("value","priority");
x.t("value","milliseconds");
x.t("value","compute");
x.t("usage","pointer");
x.t("tolerance","small");
x.t("send","method");
x.t("send","mode");
x.t("send","calls");
x.t("send","check");
x.t("send","messages");
x.t("send","throw");
x.t("send","receive");
x.t("send","message");
x.t("send","send");
x.t("send","call");
x.t("several","parameters");
x.t("tibemsmsgproducer_sendtodestinationex","tibemsmsgproducer");
x.t("tibemsmsgproducer_sendtodestinationex","send");
x.t("tibemsmsgproducer_sendtodestinationex","using");
x.t("declaration","tibems_status");
x.t("declaration","extern");
x.t("concerning","persistent");
x.t("specific","send");
x.t("exception","problem");
x.t("time-to-live","sending");
x.t("time-to-live","property");
x.t("time-to-live","tibemsmsgproducer_send");
x.t("time-to-live","zero");
x.t("time-to-live","messages");
x.t("time-to-live","tibemsmsgproducer_setdeliverymode");
x.t("time-to-live","tibco");
x.t("time-to-live","ensure");
x.t("time-to-live","milliseconds");
x.t("time-to-live","non-zero");
x.t("expedited","priority");
x.t("remarks","delivery");
x.t("remarks","tibemsnpcheckmode");
x.t("remarks","clients");
x.t("remarks","function");
x.t("remarks","send");
x.t("remarks","time-to-live");
x.t("remarks","priority");
x.t("remarks","applications");
x.t("remarks","call");
x.t("page","tibemsmsgproducer_close");
x.t("page","181");
x.t("page","300");
x.t("page","190");
x.t("page","127");
x.t("page","128");
x.t("tibemsmsgproducer_getnpsendcheckmode","mode");
x.t("tibemsmsgproducer_getnpsendcheckmode","tibemsmsgproducer");
x.t("tibemsmsgproducer_getnpsendcheckmode","function");
x.t("tibemsmsgproducer_getnpsendcheckmode","page");
x.t("tibemsmsgproducer_getnpsendcheckmode","using");
x.t("location","null");
x.t("location","remarks");
x.t("176","tibemsmsgproducer_getdeliverymode");
x.t("overhead","costs");
x.t("host","computers");
x.t("configure","producers");
x.t("177","tibemsmsgproducer_getdestination");
x.t("result","sending");
x.t("result","send");
x.t("msgproducer","tibemsdestination");
x.t("msgproducer","close");
x.t("msgproducer","property");
x.t("msgproducer","cobol");
x.t("msgproducer","tibemsnpcheckmode");
x.t("msgproducer","tibemsmsg");
x.t("msgproducer","returning");
x.t("msgproducer","destination");
x.t("msgproducer","tibems_int");
x.t("msgproducer","reference");
x.t("msgproducer","message");
x.t("msgproducer","usage");
x.t("msgproducer","value");
x.t("msgproducer","send");
x.t("msgproducer","tibems_long");
x.t("msgproducer","tibems_bool");
x.t("semantics","timer");
x.t("clocks","synchronized");
x.t("clocks","tolerance");
x.t("defined","server");
x.t("appropriate","exception");
x.t("178","tibemsmsgproducer_getdisablemessageid");
x.t("disable","property");
x.t("disable","cobol");
x.t("disable","returning");
x.t("disable","function");
x.t("disable","message");
x.t("values","type");
x.t("values","first");
x.t("values","message");
x.t("highest","priority");
x.t("application","uses");
x.t("destinations","server");
x.t("179","tibemsmsgproducer_getdisablemessagetimestamp");
x.t("notifies","server");
x.t("specification","suggests");
x.t("specification","defines");
x.t("global","setting");
x.t("choose","change");
x.t("problem","occurred");
x.t("priority","priorities");
x.t("priority","property");
x.t("priority","cobol");
x.t("priority","returning");
x.t("priority","timetolive");
x.t("priority","programs");
x.t("priority","present");
x.t("priority","affects");
x.t("priority","messages");
x.t("priority","function");
x.t("priority","value");
x.t("priority","send");
x.t("priority","highest");
x.t("priority","specification");
x.t("priority","priority");
x.t("priority","tibems_long");
x.t("190","tibemsmsgproducer_getpriority");
x.t("190","tibemsmsgproducer_setpriority");
x.t("milliseconds","determines");
x.t("milliseconds","compute");
x.t("transaction","semantics");
x.t("fraction","smallest");
x.t("tibemsmsgproducer_getdeliverymode","delivery");
x.t("tibemsmsgproducer_getdeliverymode","tibemsmsgproducer");
x.t("tibemsmsgproducer_getdeliverymode","function");
x.t("tibemsmsgproducer_getdeliverymode","using");
x.t("tibemsmsgproducer_setdisablemessagetimestamp","tibemsmsgproducer");
x.t("tibemsmsgproducer_setdisablemessagetimestamp","function");
x.t("tibemsmsgproducer_setdisablemessagetimestamp","disable");
x.t("tibemsmsgproducer_setdisablemessagetimestamp","using");
x.t("applications","require");
x.t("applications","may");
x.t("applications","server's");
x.t("tibems_long","timetolive");
x.t("cases","message");
x.t("transactional","producer's");
x.t("timestamp","property");
x.t("192","tibemsmsgproducer_settimetolive");
x.t("call","tibemsmsgproducer_getpriority");
x.t("call","tibemsmsgproducer_sendex");
x.t("call","directs");
x.t("call","tibemsmsgproducer_close");
x.t("call","uses");
x.t("call","supply");
x.t("call","tibemsmsgproducer_setdisablemessageid");
x.t("call","tibemsmsgproducer_gettimetolive");
x.t("call","tibemsmsgproducer_send");
x.t("call","sends");
x.t("call","tibemsmsgproducer_settimetolive");
x.t("call","tibemsmsgproducer_getdisablemessageid");
x.t("call","tibemsmsgproducer_setdeliverymode");
x.t("call","tibemsmsgproducer_sendtodestination");
x.t("call","tibemsmsgproducer_setpriority");
x.t("call","tibemsmsgproducer_setnpsendcheckmode");
x.t("call","tibemsmsgproducer_sendtodestinationex");
x.t("call","time-to-live");
x.t("call","tibemsmsgproducer_getnpsendcheckmode");
x.t("call","notifies");
x.t("call","tibemsmsgproducer_getdeliverymode");
x.t("call","tibemsmsgproducer_setdisablemessagetimestamp");
x.t("call","call");
x.t("call","tibemsmsgproducer_getdisablemessagetimestamp");
x.t("call","tibemsmsgproducer_getdestination");
x.t("call","commit");
x.t("costs","disabling");
x.t("order","server");
x.t("non-zero","expiration");
x.t("non-zero","values");
x.t("producer\u2019s","default");
x.t("193","tibemssession_createproducer");
x.t("pointer","parameters");
x.t("storage","programs");
x.t("storage","associated");
x.t("individual","sending");
x.t("disablemessagetimestamp","function");
x.t("smallest","time-to-live");
x.t("compute","expiration");
x.t("compute","message");
x.t("corresponding","session");
x.t("using","persistent");
x.t("using","non_persistent");
x.t("using","non-transactional");
x.t("using","functions");
x.t("using","value");
x.t("127","tibemsmsgproducer_setdisablemessageid");
x.t("127","send");
x.t("127","tibemsmsgproducer_getdestination");
x.t("setting","mode");
x.t("setting","configure");
x.t("setting","defined");
x.t("producers","creates");
x.t("producers","via");
x.t("producers","tibemsmsgproducer_setnpsendcheckmode");
x.t("producers","send");
x.t("producers","specific");
x.t("producers","using");
x.t("tibemsmsgproducer_getdisablemessagetimestamp","tibemsmsgproducer");
x.t("tibemsmsgproducer_getdisablemessagetimestamp","function");
x.t("tibemsmsgproducer_getdisablemessagetimestamp","disable");
x.t("tibemsmsgproducer_getdisablemessagetimestamp","using");
x.t("128","details");
x.t("returns","send");
x.t("consumers","higher");
x.t("levels","priority");
x.t("overrides","global");
x.t("tibemsmsgproducer_getdestination","destination");
x.t("tibemsmsgproducer_getdestination","tibemsmsgproducer");
x.t("tibemsmsgproducer_getdestination","function");
x.t("tibemsmsgproducer_getdestination","using");
x.t("associated","producer");
x.t("commit","call");
x.t("server's","response");
x.t("server's","setting");
x.t("delivers","messages");
x.t("even","within");
x.t("computers","send");
x.t("sent","using");
x.t("producer's","send");
x.t("server","parameter");
x.t("server","normally");
x.t("server","reclaims");
x.t("server","client");
x.t("server","producer");
x.t("server","concerning");
x.t("server","remarks");
x.t("server","delivers");
x.t("object","reclaim");
x.t("object","deliverymode");
x.t("object","180");
x.t("object","182");
x.t("object","183");
x.t("object","187");
x.t("object","188");
x.t("object","189");
x.t("object","destination");
x.t("object","store");
x.t("object","function");
x.t("object","declaration");
x.t("object","177");
x.t("object","178");
x.t("object","179");
x.t("object","192");
x.t("object","193");
x.t("resources","declaration");
x.t("resources","176");
x.t("tibems_bool","disable");
x.t("higher","values");
x.t("specify","default");
}
